%define base_name	kwin-style
%define theme_name	knifty
%define name		%{base_name}-%{theme_name}
%define version		0.4.2
%define release %mkrel 7
%define summary		Knifty kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
Patch0:			knifty-0.4.2-automake.patch.bz2
URL:			http://kde-look.org/content/show.php?content=8841
BuildRequires:		kdebase-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot
Provides:		kdemoreartwork-%{theme_name}
Obsoletes:		kdemoreartwork-%{theme_name}

%description
Native Kwin window decoration for KDE 3.x

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}
%patch0 -p1 -b .automake

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_datadir}/apps/kwin/%{theme_name}.desktop
%_libdir/kde3/kwin_knifty_config.la
%_libdir/kde3/kwin_knifty_config.so

%changelog
* Tue May 23 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.2-7mdk
- patch0: accept automake 1.8 and 1.9

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.2-6mdk
- drop BuildRequires: automake1.6

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.2-5mdk
- Fix BuildRequires

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.2-4mdk
- Remove redundant BuildRequires
- use mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.2-3mdk
- Rebuild 

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.2-2mdk
- rebuild + fix x86_64

* Fri Aug 06 2004 Laurent Culioli <laurent@mandrake.org> 0.4.2-1mdk
- 0.4.2
- drop Patch0 ( merged upstream )

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-3mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 0.4.1-2mdk
- new naming scheme

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.3.4-2mdk
- requires

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.3.4-1mdk
- initial release

